Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes | Static Public Attributes

# MetadataField Class Reference

## Public Member Functions
| Status ()
| Type ($NewValue=DB_NOVALUE)
| TypeAsName ()
| GetDisplayName ()
| Name ($NewName=DB_NOVALUE)
| Label ($NewLabel=DB_NOVALUE)
| GetAllowedConversionTypes ()
| IsTempItem ($NewSetting=NULL)
| Id ()
| DBFieldName ()
| Description ($NewValue=DB_NOVALUE)
| Owner ($NewValue=DB_NOVALUE)
| RequiredBySPT ($NewValue=DB_NOVALUE)
| Enabled ($NewValue=DB_NOVALUE)
| Optional ($NewValue=DB_NOVALUE)
| Editable ($NewValue=DB_NOVALUE)
| Viewable ($NewValue=DB_NOVALUE)
| AllowMultiple ($NewValue=DB_NOVALUE)
| IncludeInKeywordSearch ($NewValue=DB_NOVALUE)
| IncludeInAdvancedSearch ($NewValue=DB_NOVALUE)
| IncludeInSortOptions ($NewValue=DB_NOVALUE)
| IncludeInRecommenderSystem ($NewValue=DB_NOVALUE)
| TextFieldSize ($NewValue=DB_NOVALUE)
| MaxLength ($NewValue=DB_NOVALUE)
| ParagraphRows ($NewValue=DB_NOVALUE)
| ParagraphCols ($NewValue=DB_NOVALUE)
| MinValue ($NewValue=DB_NOVALUE)
| MaxValue ($NewValue=DB_NOVALUE)
| FlagOnLabel ($NewValue=DB_NOVALUE)
| FlagOffLabel ($NewValue=DB_NOVALUE)
| DateFormat ($NewValue=DB_NOVALUE)
| SearchWeight ($NewValue=DB_NOVALUE)
| RecommenderWeight ($NewValue=DB_NOVALUE)
| MaxHeight ($NewValue=DB_NOVALUE)
| MaxWidth ($NewValue=DB_NOVALUE)
| MaxPreviewHeight ($NewValue=DB_NOVALUE)
| MaxPreviewWidth ($NewValue=DB_NOVALUE)
| MaxThumbnailHeight ($NewValue=DB_NOVALUE)
| MaxThumbnailWidth ($NewValue=DB_NOVALUE)
| DefaultAltText ($NewValue=DB_NOVALUE)
| UsesQualifiers ($NewValue=DB_NOVALUE)
| ShowQualifiers ($NewValue=DB_NOVALUE)
| DefaultQualifier ($NewValue=DB_NOVALUE)
| AllowHTML ($NewValue=DB_NOVALUE)
| UseForOaiSets ($NewValue=DB_NOVALUE)
| ViewingPrivilege ($NewValue=DB_NOVALUE)
| AuthoringPrivilege ($NewValue=DB_NOVALUE)
| EditingPrivilege ($NewValue=DB_NOVALUE)
| ImagePreviewPrivilege ($NewValue=DB_NOVALUE)
| TreeBrowsingPrivilege ($NewValue=DB_NOVALUE)
| EnableOnOwnerReturn ($NewValue=DB_NOVALUE)
| PointPrecision ($NewValue=DB_NOVALUE)
| PointDecimalDigits ($NewValue=DB_NOVALUE)
| DefaultValue ($NewValue=DB_NOVALUE)
| UpdateMethod ($NewValue=DB_NOVALUE)
| Get/set method by which field is updated.
| GetPossibleValues ($MaxNumberOfValues=NULL, $Offset=0)
| GetCountOfPossibleValues ()
| GetIdForValue ($Value)
| GetValueForId ($Id)
| HasItemLevelQualifiers ($NewValue=DB_NOVALUE)
| AssociatedQualifierList ()
| UnassociatedQualifierList ()
| AssociateWithQualifier ($QualifierIdOrObject)
| UnassociateWithQualifier ($QualifierIdOrObject)
| GetFactory ()
| MetadataField ($FieldId, $FieldName=NULL, $FieldType=NULL, $Optional=TRUE, $DefaultValue=NULL)
| Drop ()
| OrderPosition ($OrderType, $NewValue=DB_NOVALUE)
## Public Attributes
const | UPDATEMETHOD_NOAUTOUPDATE = "NoAutoUpdate"
const | UPDATEMETHOD_ONRECORDCREATE = "OnRecordCreate"
const | UPDATEMETHOD_BUTTON = "Button"
const | UPDATEMETHOD_ONRECORDEDIT = "OnRecordEdit"
const | UPDATEMETHOD_ONRECORDCHANGE = "OnRecordChange"
## Static Public Attributes
static | $FieldTypeDBEnums
static | $FieldTypeDBAllowedEnums
static | $FieldTypePHPEnums
static | $UpdateTypes

List of all members.

## Detailed Description

Definition at line 10 of file MetadataField.php.

## Member Function Documentation

MetadataField::AllowHTML | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 350 of file MetadataField.php.

MetadataField::AllowMultiple | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 298 of file MetadataField.php.

MetadataField::AssociatedQualifierList | ( | ) |

Definition at line 642 of file MetadataField.php.

Referenced by UnassociatedQualifierList().

Here is the caller graph for this function:

MetadataField::AssociateWithQualifier | ( | $ | QualifierIdOrObject ) |

Definition at line 678 of file MetadataField.php.

References Id().

MetadataField::AuthoringPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 356 of file MetadataField.php.

MetadataField::DateFormat | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 324 of file MetadataField.php.

MetadataField::DBFieldName | ( | ) |

Definition at line 281 of file MetadataField.php.

Referenced by HasItemLevelQualifiers().

Here is the caller graph for this function:

MetadataField::DefaultAltText | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 342 of file MetadataField.php.

MetadataField::DefaultQualifier | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 348 of file MetadataField.php.

MetadataField::DefaultValue | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 416 of file MetadataField.php.

References MetadataSchema::MDFTYPE_POINT, and Type().

MetadataField::Description | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 284 of file MetadataField.php.

MetadataField::Drop | ( | ) |

Definition at line 902 of file MetadataField.php.

References $FieldTypePHPEnums, Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

MetadataField::Editable | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 294 of file MetadataField.php.

MetadataField::EditingPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 358 of file MetadataField.php.

MetadataField::Enabled | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 290 of file MetadataField.php.

MetadataField::EnableOnOwnerReturn | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 364 of file MetadataField.php.

MetadataField::FlagOffLabel | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 322 of file MetadataField.php.

Referenced by GetPossibleValues().

Here is the caller graph for this function:

MetadataField::FlagOnLabel | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 320 of file MetadataField.php.

Referenced by GetPossibleValues().

Here is the caller graph for this function:

MetadataField::GetAllowedConversionTypes | ( | ) |

Definition at line 151 of file MetadataField.php.

References MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, and Type().

MetadataField::GetCountOfPossibleValues | ( | ) |

Definition at line 506 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetDisplayName | ( | ) |

Definition at line 48 of file MetadataField.php.

References Label(), and Name().

MetadataField::GetFactory | ( | ) |

Definition at line 718 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetIdForValue | ( | $ | Value ) |

Definition at line 540 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetPossibleValues | ( | $ | MaxNumberOfValues = `NULL`,
|  | $ | Offset = `0`
| ) |  |

Definition at line 456 of file MetadataField.php.

References FlagOffLabel(), FlagOnLabel(), Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::GetValueForId | ( | $ | Id ) |

Definition at line 572 of file MetadataField.php.

References Id(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and Type().

MetadataField::HasItemLevelQualifiers | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 605 of file MetadataField.php.

References DBFieldName().

MetadataField::Id | ( | ) |

Definition at line 280 of file MetadataField.php.

Referenced by AssociateWithQualifier(), Drop(), GetCountOfPossibleValues(), GetFactory(), GetIdForValue(), GetPossibleValues(), GetValueForId(), IsTempItem(), PointDecimalDigits(), and PointPrecision().

Here is the caller graph for this function:

MetadataField::ImagePreviewPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 360 of file MetadataField.php.

MetadataField::IncludeInAdvancedSearch | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 302 of file MetadataField.php.

MetadataField::IncludeInKeywordSearch | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 300 of file MetadataField.php.

MetadataField::IncludeInRecommenderSystem | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 306 of file MetadataField.php.

MetadataField::IncludeInSortOptions | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 304 of file MetadataField.php.

MetadataField::IsTempItem | ( | $ | NewSetting = `NULL` ) |

Definition at line 206 of file MetadataField.php.

References Id(), MetadataSchema::MDFSTAT_ILLEGALNAME, and Name().

MetadataField::Label | ( | $ | NewLabel = `DB_NOVALUE` ) |

Definition at line 97 of file MetadataField.php.

References MetadataSchema::MDFSTAT_DUPLICATELABEL, MetadataSchema::MDFSTAT_ILLEGALLABEL, and MetadataSchema::MDFSTAT_OK.

Referenced by GetDisplayName().

Here is the caller graph for this function:

MetadataField::MaxHeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 330 of file MetadataField.php.

MetadataField::MaxLength | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 310 of file MetadataField.php.

MetadataField::MaxPreviewHeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 334 of file MetadataField.php.

MetadataField::MaxPreviewWidth | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 336 of file MetadataField.php.

MetadataField::MaxThumbnailHeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 338 of file MetadataField.php.

MetadataField::MaxThumbnailWidth | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 340 of file MetadataField.php.

MetadataField::MaxValue | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 318 of file MetadataField.php.

MetadataField::MaxWidth | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 332 of file MetadataField.php.

MetadataField::MetadataField | ( | $ | FieldId,
|  | $ | FieldName = `NULL`,
|  | $ | FieldType = `NULL`,
|  | $ | Optional = `TRUE`,
|  | $ | DefaultValue = `NULL`
| ) |  |

Definition at line 806 of file MetadataField.php.

References $FieldTypeDBEnums, MetadataSchema::MDFORDER_DISPLAY, MetadataSchema::MDFORDER_EDITING, MetadataSchema::MDFSTAT_DUPLICATENAME, MetadataSchema::MDFSTAT_FIELDDOESNOTEXIST, MetadataSchema::MDFSTAT_OK, MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, OrderPosition(), and SearchWeight().

MetadataField::MinValue | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 316 of file MetadataField.php.

MetadataField::Name | ( | $ | NewName = `DB_NOVALUE` ) |

Definition at line 55 of file MetadataField.php.

References MetadataSchema::MDFSTAT_DUPLICATENAME, MetadataSchema::MDFSTAT_ILLEGALNAME, and MetadataSchema::MDFSTAT_OK.

Referenced by GetDisplayName(), and IsTempItem().

Here is the caller graph for this function:

MetadataField::Optional | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 292 of file MetadataField.php.

MetadataField::OrderPosition | ( | $ | OrderType,
|  | $ | NewValue = `DB_NOVALUE`
| ) |  |

Definition at line 1008 of file MetadataField.php.

References MetadataSchema::MDFORDER_DISPLAY, and MetadataSchema::MDFORDER_EDITING.

Referenced by MetadataField().

Here is the caller graph for this function:

MetadataField::Owner | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 286 of file MetadataField.php.

MetadataField::ParagraphCols | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 314 of file MetadataField.php.

MetadataField::ParagraphRows | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 312 of file MetadataField.php.

MetadataField::PointDecimalDigits | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 392 of file MetadataField.php.

References Id().

MetadataField::PointPrecision | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 367 of file MetadataField.php.

References Id().

MetadataField::RecommenderWeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 328 of file MetadataField.php.

MetadataField::RequiredBySPT | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 288 of file MetadataField.php.

MetadataField::SearchWeight | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 326 of file MetadataField.php.

Referenced by MetadataField().

Here is the caller graph for this function:

MetadataField::ShowQualifiers | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 346 of file MetadataField.php.

MetadataField::Status | ( | ) |

Definition at line 22 of file MetadataField.php.

MetadataField::TextFieldSize | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 308 of file MetadataField.php.

MetadataField::TreeBrowsingPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 362 of file MetadataField.php.

MetadataField::Type | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 25 of file MetadataField.php.

References $FieldTypePHPEnums.

Referenced by DefaultValue(), GetAllowedConversionTypes(), GetCountOfPossibleValues(), GetFactory(), GetIdForValue(), GetPossibleValues(), and GetValueForId().

Here is the caller graph for this function:

MetadataField::TypeAsName | ( | ) |

Definition at line 41 of file MetadataField.php.

MetadataField::UnassociatedQualifierList | ( | ) |

Definition at line 664 of file MetadataField.php.

References AssociatedQualifierList().

MetadataField::UnassociateWithQualifier | ( | $ | QualifierIdOrObject ) |

Definition at line 702 of file MetadataField.php.

MetadataField::UpdateMethod | ( | $ | NewValue = `DB_NOVALUE` ) |

Get/set method by which field is updated.

Parameters:

  NewValue | New update method.

Returns:
  Existing update method.

Definition at line 449 of file MetadataField.php.

MetadataField::UseForOaiSets | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 352 of file MetadataField.php.

MetadataField::UsesQualifiers | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 344 of file MetadataField.php.

MetadataField::Viewable | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 296 of file MetadataField.php.

MetadataField::ViewingPrivilege | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 354 of file MetadataField.php.

## Member Data Documentation

MetadataField::$FieldTypeDBAllowedEnums`[static]`

Initial value:

     array(
                MetadataSchema::MDFTYPE_TEXT             => "Text",
                MetadataSchema::MDFTYPE_PARAGRAPH        => "Paragraph",
                MetadataSchema::MDFTYPE_NUMBER           => "Number",
                MetadataSchema::MDFTYPE_DATE             => "Date",
                MetadataSchema::MDFTYPE_TIMESTAMP        => "TimeStamp",
                MetadataSchema::MDFTYPE_FLAG             => "Flag",
                MetadataSchema::MDFTYPE_TREE             => "Tree",
                MetadataSchema::MDFTYPE_CONTROLLEDNAME   => "ControlledName",
                MetadataSchema::MDFTYPE_OPTION           => "Option",
                MetadataSchema::MDFTYPE_USER             => "User",
                MetadataSchema::MDFTYPE_IMAGE            => "Still Image",
                MetadataSchema::MDFTYPE_FILE             => "File",
                MetadataSchema::MDFTYPE_URL              => "Url",
                MetadataSchema::MDFTYPE_POINT            => "Point"
                )

Definition at line 763 of file MetadataField.php.

Referenced by MetadataSchema::GetAllowedFieldTypes().

MetadataField::$FieldTypeDBEnums`[static]`

Initial value:

     array(
                MetadataSchema::MDFTYPE_TEXT             => "Text",
                MetadataSchema::MDFTYPE_PARAGRAPH        => "Paragraph",
                MetadataSchema::MDFTYPE_NUMBER           => "Number",
                MetadataSchema::MDFTYPE_DATE             => "Date",
                MetadataSchema::MDFTYPE_TIMESTAMP        => "TimeStamp",
                MetadataSchema::MDFTYPE_FLAG             => "Flag",
                MetadataSchema::MDFTYPE_TREE             => "Tree",
                MetadataSchema::MDFTYPE_CONTROLLEDNAME   => "ControlledName",
                MetadataSchema::MDFTYPE_OPTION           => "Option",
                MetadataSchema::MDFTYPE_USER             => "User",
                MetadataSchema::MDFTYPE_IMAGE            => "Still Image",
                MetadataSchema::MDFTYPE_FILE             => "File",
                MetadataSchema::MDFTYPE_URL              => "Url",
                MetadataSchema::MDFTYPE_POINT            => "Point"
                )

Definition at line 747 of file MetadataField.php.

Referenced by MetadataSchema::GetFieldTypes(), and MetadataField().

MetadataField::$FieldTypePHPEnums`[static]`

Initial value:

     array(
                "Text"                   => MetadataSchema::MDFTYPE_TEXT,
                "Paragraph"              => MetadataSchema::MDFTYPE_PARAGRAPH,
                "Number"                 => MetadataSchema::MDFTYPE_NUMBER,
                "Date"                   => MetadataSchema::MDFTYPE_DATE,
                "TimeStamp"              => MetadataSchema::MDFTYPE_TIMESTAMP,
                "Flag"                   => MetadataSchema::MDFTYPE_FLAG,
                "Tree"                   => MetadataSchema::MDFTYPE_TREE,
                "ControlledName"         => MetadataSchema::MDFTYPE_CONTROLLEDNAME,
                "Option"                 => MetadataSchema::MDFTYPE_OPTION,
                "User"                   => MetadataSchema::MDFTYPE_USER,
                "Still Image"            => MetadataSchema::MDFTYPE_IMAGE,
                "File"                   => MetadataSchema::MDFTYPE_FILE,
                "Url"                    => MetadataSchema::MDFTYPE_URL,
                "Point"                  => MetadataSchema::MDFTYPE_POINT
                )

Definition at line 779 of file MetadataField.php.

Referenced by Drop(), MetadataSchema::GetFields(), and Type().

MetadataField::$UpdateTypes`[static]`

Initial value:

     array(
            MetadataField::UPDATEMETHOD_NOAUTOUPDATE   => "Do not update automatically",
            MetadataField::UPDATEMETHOD_ONRECORDCREATE => "Update on record creation",
            MetadataField::UPDATEMETHOD_BUTTON         => "Provide an update button",
            MetadataField::UPDATEMETHOD_ONRECORDEDIT   => "Update when record is edited",
            MetadataField::UPDATEMETHOD_ONRECORDCHANGE => "Update when record is changed"
            )

Definition at line 796 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_BUTTON = "Button"

Definition at line 17 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_NOAUTOUPDATE = "NoAutoUpdate"

Definition at line 15 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_ONRECORDCHANGE = "OnRecordChange"

Definition at line 19 of file MetadataField.php.

const MetadataField::UPDATEMETHOD_ONRECORDCREATE = "OnRecordCreate"

Definition at line 16 of file MetadataField.php.

Referenced by Resource::Resource().

const MetadataField::UPDATEMETHOD_ONRECORDEDIT = "OnRecordEdit"

Definition at line 18 of file MetadataField.php.

The documentation for this class was generated from the following file:

- MetadataField.php